Package org.apache.nutch.service.impl

## Class ConfManagerImpl

- java.lang.Object
- - org.apache.nutch.service.impl.ConfManagerImpl

- All Implemented Interfaces:
    `ConfManager`

      public class ConfManagerImpl
      extends Object
      implements ConfManager

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfManagerImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `create​(NutchConfig nutchConfig)` | Created a new configuration based on the values provided.
    `void` | `delete​(String confId)` |
    `Configuration` | `get​(String confId)` | Returns the configuration associatedConfManagerImpl with the given confId
    `Map<String,​String>` | `getAsMap​(String confId)` |
    `Set<String>` | `list()` |
    `void` | `setProperty​(String confId, String propName, String propValue)` | Sets the given property in the configuration associated with the confId

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfManagerImpl

          public ConfManagerImpl()

  - ### Method Detail

    - #### get

          public Configuration get​(String confId)

      Returns the configuration associatedConfManagerImpl with the given confId
      Specified by:
        `get` in interface `ConfManager`

    - #### getAsMap

          public Map<String,​String> getAsMap​(String confId)

      Specified by:
        `getAsMap` in interface `ConfManager`

    - #### setProperty

          public void setProperty​(String confId,
                                  String propName,
                                  String propValue)

      Sets the given property in the configuration associated with the confId
      Specified by:
        `setProperty` in interface `ConfManager`

    - #### list

          public Set<String> list()

      Specified by:
        `list` in interface `ConfManager`

    - #### create

          public String create​(NutchConfig nutchConfig)

      Created a new configuration based on the values provided.
      Specified by:
        `create` in interface `ConfManager`
      Parameters:
        `nutchConfig` - crawler configuration
      Returns:
        String - confId

    - #### delete

          public void delete​(String confId)

      Specified by:
        `delete` in interface `ConfManager`